Bug 447744 - Odd compilation problem
Odd compilation problem
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: java-1.5.0-gcj (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Lillian Angel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-21 11:15 EDT by Mary Ellen Foster
Modified: 2009-01-09 01:32 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:32:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to remove unavailable jgoodies classes from IceGrid (1.21 KB, patch)
2008-05-21 11:30 EDT, Mary Ellen Foster
no flags Details | Diff

  None (edit)
Description Mary Ellen Foster 2008-05-21 11:15:14 EDT
Description of problem:
If I try to compile the newly-released Ice-3.3.0 package using gcj, it fails
with the following error during compiling the Java bindings:

    [javac] 1636. ERROR in
/hd/home/mef/rpmbuild/BUILD/Ice-3.3.0/java/src/IceInternal/Timer.java (at line 21)
    [javac] 	interface TimerTask
    [javac] 	          ^^^^^^^^^
    [javac] The type TimerTask is already defined

It's not already defined, of course, and Sun Java and IcedTea both compile this
properly.

Some other investigation reveals:
- It happens during the "icegridadmin-compile" task
- If I run "ant icegridadmin-compile" a second time, it works -- it looks like
all of the .class files get generated despite the above error

Unfortunately, Ice is quite big and you need to build the C++ side before the
Java side to reproduce this. :(
 
Version-Release number of selected component (if applicable):
java-1.5.0-gcj-devel-1.5.0.0-17.fc8

How reproducible:
Every time

Steps to Reproduce:
1. Download Ice-3.3.0 from http://www.zeroc.com/download/Ice/3.3/Ice-3.3.0.tar.gz
2. Uncompress it
3. Install libmcpp-devel (just landed in updates-testing)
3. Edit Ice-3.3.0/cpp/Makefile to remove "demo" and "test" as subdirectories to
make it go a bit faster ...
4. cd cpp; make
5. export JAVA_HOME=/usr/lib/jvm/java-1.5.0-gcj
6. cd ../java; make
  
Actual results:
The above error messages

Expected results:
Successful compilation
Comment 1 Mary Ellen Foster 2008-05-21 11:30:54 EDT
Created attachment 306267 [details]
Patch to remove unavailable jgoodies classes from IceGrid

Oops, a bit more on the procedure for reproducing:
5.1.  yum install jgoodies-looks jgoodies-forms db4-java
5.2.  export CLASSPATH=`build-classpath jgoodies-looks jgoodies-forms db`
5.3.  apply the attached patch to the source before compiling
Comment 2 Bug Zapper 2008-11-26 05:44:42 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-01-09 01:32:02 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.